Subject: RE:referrals question

From: "Jim Sermersheim" <[email-masked]>
Date: Wed, 03 Sep 2003 08:50:04 -0600

It does seem unreasonable to me--maybe I'm missing something. If we end
up hitting a reference while resolving (after an alias wass
dereferenced), that reference might point to anything. Even if it is
inside the DIT, the only servers holding it might not speak LDAP
(perhaps they only speak DAP). Otherwise, I'm not sure what the
provision for "other kinds of URLs" is for.
 
Jim

>>> Apurva Kumar [email-masked]> 9/3/03 8:35:40 AM >>
Jim,

Since a referral generated due to alias dereferencing, will still
point
somewhere inside the DIT, the assumption that it will contain an LDAP
URL
does not sound unreasonable. I guess, to be more specific, [Protocol]
might
say when discussing the scenario: "In this case the URL returned in
the
referral MUST be an LDAP URL".

Please let me know your comment on this.

Thanks,
Apurva

"Jim Sermersheim" 
< [email-masked] To: Apurva Kumar/India/IBM@IBMIN 
> cc: < [email-masked] > 
Subject: RE:referrals question 
09/03/03 07:53 PM 

>>> Apurva Kumar < [email-masked] > 9/3/03 7:55:18 AM >>>
>> When using an LDAP URL, all is well--there is a place for
>> the DN to go. When not using an LDAP URL, there may not be
>> a DN field
>
>If a referral is generated due to derefencing of an alias, then the
>referral URL should be an LDAP URL.
Not true. "Other kinds of URLs may be returned, so long as the
operation
could be performed using that protocol.". Nothing mandates that LDAP
URLs
be used in any scenario (except for the scenario where the referral
points
to an LDAP DSA.

Jim

---

From: Mark Wahl <[email-masked]>
Date: Wed, 03 Sep 2003 11:54:23 -0500

> Jim Sermersheim wrote:
> 
> It does seem unreasonable to me--maybe I'm missing something. If we end up
> hitting a reference while resolving (after an alias wass dereferenced), that
> reference might point to anything. Even if it is inside the DIT, the only
> servers holding it might not speak LDAP (perhaps they only speak DAP).
> Otherwise, I'm not sure what the provision for "other kinds of URLs" is for.

Originally in the X.500 pilot project there would have been LDAP->X.500
gateways which might need to return a referral to clients if the gateway
is unable to progress the operation itself: the gateway would be able to 
indicate that the client, if capable of DAP, could progress the operation 
itself.  And a referral or reference can contain multiple URIs.  We wanted 
also to be able to refer to multi-protocol servers, which implement LDAP 
but also DAP or maybe now DSML.  Future documents might define URIs to
represent a directory operation in these protocols.

Mark Wahl
Sun Microsystems Inc.